﻿using System.ComponentModel.DataAnnotations;

namespace PAN_Number_Validation_Server_Side_Razor_Core.Models
{
    public class PersonModel
    {
        [Display(Name = "PAN Card:")]
        [Required(ErrorMessage = "PAN Number is required")]
        [RegularExpression("^([A-Za-z]){5}([0-9]){4}([A-Za-z]){1}$", ErrorMessage = "Invalid PAN Number")]
        public string PANNumber { get; set; }
    }
}
